//
//  FocusAppAppDelegate.m
//  FocusApp
//
//  Created by Peter Steinberger on 17.02.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "FocusAppAppDelegate.h"
#import "FocusOnController.h"

@implementation FocusAppAppDelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
	// Insert code here to initialize your application
}

-(void)awakeFromNib{
  statusItem = [[[NSStatusBar systemStatusBar] statusItemWithLength:NSVariableStatusItemLength] retain];
  [statusItem setMenu:statusMenu];
  [statusItem setTitle:@"Focus!"];
  [statusItem setHighlightMode:YES];
}


- (IBAction)changeFocusText:(id)sender {  
  if (!focusController) {
    focusController = [[FocusOnController alloc] init];
  }
  
  [focusController showWindow:self];
}

- (IBAction)quitFocusApp:(id)sender {
  [NSApp terminate:self];
}


- (void)setFocusText:(NSString *)focusText {
  NSLog(@"set focus text: %@", focusText);
  [statusItem setTitle:focusText]; 
}


@end
